<template>
  <b-modal
    id="add-user-modal"
    v-model="openModal"
    size="md"
    title="Retirer un utilisateur du groupe d'utilisateur"
  >
    <div>
      <p v-if="user">
        L'utilisateur <strong>{{ user['Prénom']}} {{ user['Nom'] }}</strong>
        sera retiré du groupe d'utilisateur <strong>{{ currentUsergroup.display_name }}</strong>.
      </p>
      <p>Etes-vous sûr de vouloir continuer?</p>
    </div>
    <template #modal-footer>
      <div class="w-100">
        <b-button
          variant="outline-secondary"
          class="float-left"
          @click="hide"
        >
          Annuler
        </b-button>
        <b-button
          variant="primary"
          class="float-right"
          @click="removeUser"
        >
          Confirmer
        </b-button>
      </div>
    </template>
  </b-modal>
</template>

<script>
import { mapState } from 'vuex';

export default {
  name: 'RemoveFromGroup',

  props: {
    open: {
      type: Boolean,
      default: false
    },
    user: {
      type: Object,
      default: () => { return {} }
    }
  },

  data() {
    return {
      openModal: false,
      success: false
    }
  },

  computed: {
    ...mapState('usergroups', ['currentUsergroup'])
  },

  watch: {
    open: function(newValue) {
      this.resetModal();
      this.openModal = newValue;
    }
  },

  methods: {
    resetModal() {
      this.openModal = false;
      this.success = false;
    },
    removeUser() {
      this.$emit('remove', this.user);
      this.hide();
    },
    hide() {
      this.$emit('hide');
    }
  }
}
</script>

<style lang="less" scoped>

h2 {
  color: @blue;
  margin-top: 0.8em;
  margin-left: 0.5em;
}

h4 {
  color: @blue;
  margin-top: 0.8em;
}

</style>
